IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			SysObjects O 
				INNER JOIN SysColumns C ON O.ID=C.ID
		WHERE 
			ObjectProperty(O.ID,'IsUserTable')=1 
			AND 
			O.Name='tbUser'
			AND 
			C.Name='EmailAddress'
	)
	BEGIN
		ALTER TABLE [dbo].[tbUser] 
			ADD	[EmailAddress] [varchar] (128) NULL
	END
GO