<%@ Page language="c#" Codebehind="UserIPAddress.aspx.cs" AutoEventWireup="false" Inherits="Thycotic.ihawu.Web.UserIPAddress" %>
<%@ Register TagPrefix="ihawu" Namespace="Thycotic.ihawu.Web" Assembly="Thycotic.ihawu.Web" %>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>

<ihawu:masterpage id="masterPage" runat="server">
	<custom:newdialog id="UserIPAddressDialog" Caption="Edit IP Address Restrictions" runat="server" visible="true">
		<thycotic:datagrid AllowPaging="false" id="IPAddressRestrictionDataGrid" runat="server" ItemsName="ipaddressranges">
			<columns>
				<asp:templatecolumn headertext="Restricted">
					<itemtemplate>
						<thycotic:checkbox id="IPAddressRangeCheckBox" runat="server" />
						<asp:label id="HiddenRangeId" runat="server" visible="false" />
					</itemtemplate>
				</asp:templatecolumn>
			</columns>
			<columns>
				<asp:templatecolumn headertext="Name">
					<itemtemplate>
						<thycotic:label id="IPAddressRangeNameLabel" runat="server" />
					</itemtemplate>
				</asp:templatecolumn>
			</columns>
			<columns>
				<asp:templatecolumn headertext="Start IP Address">
					<itemtemplate>
						<thycotic:label id="IPAddressRangeStartLabel" runat="server" />
					</itemtemplate>
				</asp:templatecolumn>
			</columns>
			<columns>
				<asp:templatecolumn headertext="End IP Address">
					<itemtemplate>
						<thycotic:label id="IPAddressRangeEndLabel" runat="server" />
					</itemtemplate>
				</asp:templatecolumn>
			</columns>
		</thycotic:datagrid>
		<br />
		<thycotic:button id="SaveButton" text="Save" runat="server" />
		<thycotic:button id="CancelButton" text="Cancel" runat="server" />
	</custom:newdialog>
</ihawu:masterpage>