DECLARE @NewSecretTypeId INT
DECLARE @NewSecretTypeName VARCHAR (255)

SET @NewSecretTypeId = 7
SET @NewSecretTypeName = 'Security Alarm Code'

IF NOT EXISTS
	(
		SELECT 
			* 
		FROM 
			tbSecretType
		WHERE 
			tbSecretType.SecretTypeName = @NewSecretTypeName
	)
BEGIN
	SET IDENTITY_INSERT [dbo].[tbSecretType] ON
	INSERT INTO [dbo].[tbSecretType] (
		[SecretTypeId]
		,[SecretTypeName]
		,[ConcurrencyID]
		)
	SELECT @NewSecretTypeId, @NewSecretTypeName		, 'B1154A7C-1F05-4a61-8761-EC0D54F3027E'
	SET IDENTITY_INSERT [dbo].[tbSecretType] OFF
	
	SET IDENTITY_INSERT [dbo].[tbSecretField] ON
	INSERT INTO [dbo].[tbSecretField] (
		[SecretFieldId]
		,[SecretFieldName]
		,[SecretFieldDisplayName]
		,[SortOrder]
		,[SecretTypeID]
		,[Required]
		,[DataType]
		,[MustEncrypt]
		,[IsPassword]
		,[ConcurrencyID]
		)
	--	                                 SortOrder             Required   Encrypt IsPassword
	SELECT 34,
		'Pin', 'Pin',						1,	@NewSecretTypeId, 1, 'string' ,1,	0, 'B631111C-1F05-4a61-8761-EC0D54F3027E' UNION
	SELECT 35,
		'Notes', 'Notes',					2,	@NewSecretTypeId, 0, 'string' ,1,	0, 'ED2222B1-57D7-4700-8991-75FA7C219992'
	SET IDENTITY_INSERT [dbo].[tbSecretField] OFF
END

