<%@ Control Language="c#" AutoEventWireup="false" Codebehind="Login.ascx.cs" Inherits="Thycotic.ihawu.Web.usercontrols.Login" TargetSchema="http://schemas.microsoft.com/intellisense/ie5"%>
<%@ Register TagPrefix="thycotic" Namespace="Thycotic.Foundation.WebControls" Assembly="Thycotic.Foundation.WebControls" %>
<%@ Register TagPrefix="custom" Namespace="Thycotic.ihawu.Web.customcontrols" Assembly="Thycotic.ihawu.Web" %>
<!-- Login -->
<custom:NewDialog runat="server" Caption="Login" Id="LoginDialog" Watermark="images/water_login.gif" Width="380">
	<asp:Table width="380px" cellpadding="0" id="LoginTable" runat="server" cellspacing="0">
		<asp:TableRow runat="server">
			<asp:TableCell runat="server" horizontalalign="Right"><thycotic:FieldLabel id="UserNameFieldLabel" cssclass="LoginLabel" runat="server" text="Username" /></asp:TableCell>
			<asp:TableCell runat="server">&nbsp;</asp:TableCell>
			<asp:TableCell runat="server">
				<thycotic:TextBox id="UserNameTextBox" cssclass="LoginTextBox" runat="server" />
				<thycotic:RequiredFieldValidator runat="server" ErrorMessage="Please enter your username." ControlToValidate="UserNameTextBox" Id="RequireUsernameValidator" />
			</asp:TableCell>
		</asp:TableRow>
		<asp:TableRow runat="server">
			<asp:TableCell runat="server" horizontalalign="Right"><thycotic:FieldLabel id="PasswordFieldLabel" runat="server" text="Password" /></asp:TableCell>
			<asp:TableCell runat="server">&nbsp;</asp:TableCell>
			<asp:TableCell runat="server">
				<thycotic:TextBox id="PasswordTextBox" cssclass="LoginTextBox" textmode="password" runat="server" />
				<thycotic:RequiredFieldValidator runat="server" ErrorMessage="Please enter your password." ControlToValidate="PasswordTextBox" Id="RequirePasswordValidator" />
			</asp:TableCell>
		</asp:TableRow>
		<asp:TableRow Runat="server" ID="DomainRow">
			<asp:TableCell Runat="server" HorizontalAlign="Right"><thycotic:FieldLabel id="DomainFieldLabel" runat="server" text="Domain" /></asp:TableCell>
			<asp:TableCell Runat="server">&nbsp;</asp:TableCell>
			<asp:TableCell Runat="server">
				<thycotic:DropDownList runat="server" id="DomainDropDownList" />
			</asp:TableCell>
		</asp:TableRow>
		<asp:TableRow runat="server" ID="OrganizationRow">
			<asp:TableCell runat="server" HorizontalAlign="Right"><thycotic:FieldLabel id="OrganizationCodeFieldLabel" runat="server" text="Organization Code" /></asp:TableCell>
			<asp:TableCell runat="server">&nbsp;</asp:TableCell>
			<asp:TableCell runat="server">
				<thycotic:TextBox id="OrganizationCodeTextBox" cssclass="LoginTextBox" runat="server" />
				<thycotic:RequiredFieldValidator runat="server" ErrorMessage="Please enter your Organization Code." ControlToValidate="OrganizationCodeTextBox" Id="RequireOrganizationValidator" />
			</asp:TableCell>
		</asp:TableRow>
		<asp:TableRow runat="server">
			<asp:TableCell runat="server"></asp:TableCell>
			<asp:TableCell runat="server"></asp:TableCell>
			<asp:TableCell runat="server">
				&nbsp;<br/>
				<thycotic:CheckBox id="RememberMeCheckBox" cssclass="LoginCheckBox" runat="server" Text="Remember Me On This Computer" />
			</asp:TableCell>
		</asp:TableRow>
		<asp:TableRow Runat="server">
			<asp:TableCell Runat="server" ColumnSpan="3" Height="50px" />
		</asp:TableRow>
		<asp:TableRow runat="server">
			<asp:TableCell runat="server" columnspan="3">
				<thycotic:Button id="LoginButton" runat="server" text="Login" />
			</asp:TableCell>
		</asp:TableRow>
	</asp:Table>
</custom:newdialog>
<custom:NewDialog runat="server" id="PinCodeDialog" Visible="false" Caption="Pin Code" Watermark="images/water_cell.gif" Width="380">
	<p>
		<thycotic:Label runat="server" Text="You have just been sent a confirmation pin code to your email address.  Please check your email and enter it below.  Note that old confirmation pin codes will not work." id="PinCodeMessage" />
	</p>
	<asp:Table width="380px" cellpadding="0" id="PinCodeTable" runat="server" cellspacing="0">
		<asp:TableRow runat="server">
			<asp:TableCell runat="server">
				<thycotic:FieldLabel runat="server" id="PinCodeFieldLabel" Text="Pin Code" />
			</asp:TableCell>
			<asp:TableCell runat="server">
				<thycotic:TextBox runat="server" id="PinCodeTextBox" TextMode="Password" />
				<thycotic:RequiredFieldValidator runat="server" id="RequirePinCodeValidator" ErrorMessage="Please enter your pin code." ControlToValidate="PinCodeTextBox" />
			</asp:TableCell>
		</asp:TableRow>
		<asp:TableRow runat="server">
			<asp:TableCell Runat="server" ColumnSpan="2">
				<br />
				<thycotic:Button runat="server" id="PinLoginButton" Text="Login" />	
			</asp:TableCell>
		</asp:TableRow>
	</asp:Table>
</custom:NewDialog>
<asp:Panel runat="server" id="SignUpPanel" align="middle">
<br /><br />
<b>Need an account?</b>
<br>
<a href="SignUp.aspx">Sign up here</a>
<br>
(It's free and takes 20 seconds)
</asp:Panel>
<thycotic:businessvalidator id="LoginBusinessValidator" runat="server" visible="false" />
<thycotic:businessvalidator id="PinCodeBusinessValidator" runat="server" visible="false" />